Method: projects.locations.autonomousDatabases.getRefreshableClones

Gets the refreshable clones for a given Autonomous Database.

HTTP request


GET https://oracledatabase.googleapis.com/v1/{name=projects/*/locations/*/autonomousDatabases/*}:getRefreshableClones

The URLs use gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The Autonomous Database resource whose refreshable clones are to be listed. Format: projects/{project}/locations/{location}/autonomousDatabases/{autonomousDatabase}

Request body

The request body must be empty.

Response body

Response message for getting the Autonomous Database refreshable clones.

If successful, the response body contains data with the following structure:

JSON representation
{
  "autonomousDatabaseRefreshableClones": [
    {
      object (AutonomousDatabaseRefreshableClone)
    }
  ]
}
Fields
autonomousDatabaseRefreshableClones[]

object (AutonomousDatabaseRefreshableClone)

The list of Autonomous Database refreshable clones.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/oracle-database

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the name resource:

  • oracledatabase.autonomousDatabases.listRefreshableClones

For more information, see the IAM documentation.

AutonomousDatabaseRefreshableClone

An Autonomous Database refreshable clone

JSON representation
{
  "name": string,
  "region": string
}
Fields
name

string

Output only. The GCP resource name of the Autonomous Database.

region

string

Output only. The Google Cloud region where the refreshable clone exists.